API reference OpenAPI 3.1
POST /experiments/{id}:stop

Stop experiment

Bearer API key or staff session operation stopExperiment

Parameters

NameInTypeRequiredDescription
id path string Yes —

Request

This endpoint has no request body.

curl -X POST "$MONICHEK_API/experiments/{id}:stop" \
  -H "Authorization: Bearer $MONICHEK_API_KEY"
const res = await fetch(`${MONICHEK_API}/experiments/{id}:stop`, {
  method: "POST",
  headers: {
    Authorization: `Bearer ${MONICHEK_API_KEY}`,
  },
});

const data = await res.json();
import os
import requests

res = requests.post(
    f"{os.environ['MONICHEK_API']}/experiments/{id}:stop",
    headers={"Authorization": f"Bearer {os.environ['MONICHEK_API_KEY']}"},
)
print(res.json())
$ch = curl_init(getenv('MONICHEK_API') . '/experiments/{id}:stop');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('MONICHEK_API_KEY'),
    ],
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;

Replace {id} with the resource id.

Responses

200 OK stopped application/json

No response example is published for this status.